pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/devel/generate

> I don't run Linux so all I can go by is the Linux 2.6.24-1-686/i686
> bulk build results:
Thank you for using it ;-)

> ===> Building for generate-2.4
> gcc -O2 -ansi -pipe -Wall -Wshadow -Wpointer-arith -Wwrite-strings 
> -Wstrict-prototypes -Wformat -Wmissing-prototypes -funsigned-char 
> -I/usr/local/include -L/usr/local/lib -Dscanf=DONT_USE_SCANF 
> -DXGETLINE_VERSION   -c -o generate.o generate.c
> cc1: warnings being treated as errors
> generate.c: In function 'init_macros':
> generate.c:200: warning: implicit declaration of function 'strdup'
This is because -Werror option is passed to gcc.
Check that #include <string.h> is present

> Anyway, as I said, it's a bit more robust the way I did it.
I agree but...


Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index